/* Reset and base styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    width: 100%;
    height: 100vh;
}

.view {
    background-color: #000;
    color: #fff;
    font-size: 16px;
    line-height: 1.6;
    width: 100%;
    min-height: 100%;
    display: grid;
    grid-template-rows: auto 1fr auto;
}

@media(min-width: 1138px) {
    .view {
        width: 430px;
        min-height: 934px;
        margin: 0 auto;
    }
}

/* headers */

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #1a1a1a;
    color: #fff;
    padding: 1rem;
    border-bottom: 2px solid #ff0000;
}

.logo {
    font-size: 1.2rem;
    font-weight: bold;
    color: #ff0000;
}

.nav-links {
    list-style: none;
    display: flex;
}

.nav-links li {
    margin-left: 15px;
}

.nav-links a {
    color: #fff;
    text-decoration: none;
    font-size: 0.9rem;
}

.nav-links li {
    cursor: pointer;
}

/* main */

.main {
    padding: 8px;
}

.title {
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    color: #ff0000;
}

.btn {
    text-decoration: none;
    cursor: pointer;
    outline: none;
    border: none;
    padding: 8px 16px;
    border-radius: 6px;
    font-size: 1.3rem;
    
}

.btn:hover {
    background-color: #cc0000;
}

.btn:active {
    background-color: #990000;
}

/* footer */

#offline {
    display: flex;
    justify-content: center;
    background-color: #333333;
    color: white;
    border-radius: 6px;
}

.footer {
    background-color: #1a1a1a;
    color: #fff;
    text-align: center;
    padding: 1rem 0;
    font-size: 0.8rem;
    border-top: 2px solid #ff0000;
}

/* general */
.column {
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    gap: 8px;
}

.center {
    display:flex;
    margin: auto;
    align-items:center;
    text-align:center;
    justify-content: center;
    gap: 8px;
}

.red {
    background-color: #ff0000;
    color: #fff;
}

.input {
    outline: none;
    border: none;
    background-color: #1a1a1a;
    color: #fff;
    font-size: 1.3rem;
    text-align: center;
    border: 1px solid #ff0000;
    border-radius: 0;
    padding: 15px;
}

/* remove spinner */
input[type="number"] {
    -moz-appearance: textfield;
}

input[type="number"]::-webkit-inner-spin-button, 
input[type="number"]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    margin: 0;
}

.select {
    width: 100%;
    padding: 15px;
    font-size: 1rem;
    border: 1px solid #ff0000;
    border-radius: 5px;
    background-color: #1a1a1a;
    color: #fff;
    margin-bottom: 1rem;
}

.slider {
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
    height: 25px;
    border-radius: 12.5px;
    background: #505050;
    outline: none;
    opacity: 0.7;
    transition: opacity .2s;
    margin-bottom: 1rem;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: #ff0000;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: #ff0000;
    cursor: pointer;
}